rte_flow_template_table_attr(3)

NAME
rte_flow_template_table_attr

SYNOPSIS

#include <rte_flow.h>

  Data Fields

struct rte_flow_attr flow_attr
uint32_t nb_flows
uint32_t specialize
enum rte_flow_table_insertion_type insertion_type
enum rte_flow_table_hash_func hash_func

Detailed Description

Warning
    EXPERIMENTAL: this API may change without prior notice.

Table attributes.

Definition at line 5953 of file rte_flow.h.

Field Documentation

  struct rte_flow_attr flow_attr
Flow attributes to be used in each rule generated from this table.

Definition at line 5957 of file rte_flow.h.

  uint32_t nb_flows
Maximum number of flow rules that this table holds.

Definition at line 5961 of file rte_flow.h.

  uint32_t specialize
Optional hint flags for driver optimization. The effect may vary in the different drivers. The functionality must not rely on the hints. Value is composed with RTE_FLOW_TABLE_SPECIALIZE_* based on application design choices. Misused hints may mislead the driver, it may result in an undefined behavior.

Definition at line 5970 of file rte_flow.h.

  enum rte_flow_table_insertion_type insertion_type
Insertion type for flow rules.

Definition at line 5974 of file rte_flow.h.

  enum rte_flow_table_hash_func hash_func
Hash calculation function for the packet matching.

Definition at line 5978 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.